
/* -------------------------------- main.h --------------------------------- */

#include <stdio.h>

#ifndef RESAMPLE_MAIN_H
#define RESAMPLE_MAIN_H

#ifndef PI
#define PI 3.14159265358979323846
#endif

#define	MIN_INTERP_SIZE		12	/* min. samples for interpolation    */
#define	MAX_INTERP_SIZE		1024	/* max. samples for interpolation    */
#define	BUFFER_SIZE		8192	/* buffer size in samples	     */
#define	BLK_SIZE		4096	/* I/O block size in bytes	     */

extern	int	interp_size;	/* number of samples used for interpolation  */
extern	double	resample_ratio;	/* resample ratio			     */
extern	int	in_format;	/* input sample format (0: short, 1: float)  */
extern	int	out_format;	/* output sample format			     */
extern	int	nchnls;		/* number of channels (1, 2, or 4)	     */
extern	int	v_mode;		/* verbose mode (0: off, 1: on)		     */

extern	int	in_samp_size;	/* input sample size (short: 2, float: 4)    */
extern	int	out_samp_size;	/* output sample size			     */

extern	FILE	*in_file;	/* input file				     */
extern	FILE	*out_file;	/* output file				     */
extern	char	*in_file_name;	/* input file name			     */
extern	char	*out_file_name;	/* output file name			     */
extern	int	infile_format;	/* input file format (0: raw, 1: IRCAM)	     */
extern	int	outfile_format;	/* output file format			     */
extern	float	infile_sr;	/* input file sample rate		     */
extern	float	outfile_sr;	/* output file sample rate		     */

extern	double	*in_buf;	/* input buffer				     */
extern	double	*out_buf;	/* output buffer			     */
extern	char	*io_buf;	/* low level I/O buffer			     */
extern	int	io_buf_pos;	/* number of unread bytes in io_buf	     */

extern	int	infile_size;	/* input file size in samples		     */
extern	int	outfile_size;	/* output file size in samples		     */
extern	int	infile_eof;	/* end of input file (0: no, 1: yes)	     */
extern	int	infile_pos;	/* input file position (samples)	     */
extern	int	outfile_pos;	/* output file position (samples)	     */
extern	int	in_buf_pos;	/* input buffer position		     */
extern	int	out_buf_pos;	/* output buffer position		     */

extern	int	downsample_mode;	/* downsample mode (0: off, 1: on)   */
extern	int	resample_int;	/* integer resample ratio (0: no, 1: yes)    */
extern	double	win_fact;	/* constant used in window calculation	     */

#endif


